GDB (xrefs)

Public Attributes | List of all members
comp_unit Struct Reference

## Public Attributes
bfd * | abfd
struct objfile * | objfile
const gdb_byte * | dwarf_frame_buffer
bfd_size_type | dwarf_frame_size
asection * | dwarf_frame_section
bfd_vma | dbase
bfd_vma | tbase

## Detailed Description

Definition at line 137 of file dwarf2-frame.c.

## Member Data Documentation

## ◆ abfd

bfd* comp_unit::abfd

Definition at line 140 of file dwarf2-frame.c.

Referenced by decode_frame_entry_1(), dwarf2_build_frame_info(), and read_encoded_value().

## ◆ dbase

bfd_vma comp_unit::dbase

Definition at line 154 of file dwarf2-frame.c.

Referenced by dwarf2_build_frame_info(), and read_encoded_value().

## ◆ dwarf_frame_buffer

const gdb_byte* comp_unit::dwarf_frame_buffer

Definition at line 145 of file dwarf2-frame.c.

Referenced by decode_frame_entry(), decode_frame_entry_1(), dwarf2_build_frame_info(), and read_encoded_value().

## ◆ dwarf_frame_section

asection* comp_unit::dwarf_frame_section

Definition at line 151 of file dwarf2-frame.c.

Referenced by decode_frame_entry(), dwarf2_build_frame_info(), and read_encoded_value().

## ◆ dwarf_frame_size

bfd_size_type comp_unit::dwarf_frame_size

Definition at line 148 of file dwarf2-frame.c.

Referenced by decode_frame_entry(), decode_frame_entry_1(), and dwarf2_build_frame_info().

## ◆ objfile

struct objfile* comp_unit::objfile

Definition at line 142 of file dwarf2-frame.c.

Referenced by decode_frame_entry_1(), dwarf2_build_frame_info(), and execute_cfa_program().

## ◆ tbase

bfd_vma comp_unit::tbase

Definition at line 157 of file dwarf2-frame.c.

Referenced by dwarf2_build_frame_info(), and read_encoded_value().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2-frame.c